
%define syscolordir  %_datadir/color
%define usercolordir    ~/.color
%define iccdirname      icc
%define settingsdirname settings
%define pixmapdir    %_datadir/pixmaps
%define desktopdir   %_datadir/applications


Name:		oyranos
Version:	0.1.9
Release:	%mkrel 2
Source:		%name-%version.tar.xz
Patch0:		%{name}-%{version}-Image-memfix.patch
Patch1:		%{name}-%{version}-monitor.patch
BuildRequires:  GL-devel
BuildRequires:  gettext
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:	elektra-devel
Obsoletes:	oyranos-Cineon 
Obsoletes:	oyranos-LStarRGB 
Obsoletes:	oyranos-PhotoGamutRGB 
Obsoletes:	oyranos-RGB 
Obsoletes:	oyranos-eci-offset2004 
Obsoletes:	oyranos-lcmsLAB
Summary: Colour Management System
License: GPL
Group: System/Libraries
URL: http://www.oyranos.org
BuildRoot: %{_tmppath}/%{name}-root

%description
Oyranos is a colour management configuration system.
It is primarily developed on free operating systems.
Developers from other OSes can jump in the current
discussion to make Oyranos aware of cross platform
standards. Feel cordially invited to make constructive
suggestions.

%package   devel
Summary:   Headers, configuration and static libs + documentation
Group:     Development/C
Requires:  %{name} = %version-%release

%description devel
Oyranos is useable to store default profiles and paths and
query for profiles in that paths.
An internal device profile API allowes configuring of a 
profile in X.
The documentation in html format is included.

%prep
%setup -q 
%patch0 -p1 
%patch1 -p0

%build
./configure --prefix=/usr --disable-debug

make


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -fr %{buildroot}/%{_datadir}/doc/%{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-, root, root)
%_bindir/oyranos-config
%_bindir/oyranos-config-fltk
%_bindir/oyranos-monitor
%_bindir/oyranos-monitor-nvidia
%_bindir/oyranos-policy
%_libdir/color/cmms/liboyranos_lcms_cmm_module.so.0.1.9
%_libdir/color/cmms/liboyranos_oyX1_cmm_module.so.0.1.9
%_libdir/color/cmms/liboyranos_oyra_cmm_module.so.0.1.9
%_libdir/liboyranos.so.0
%_libdir/liboyranos.so.0.1.9
%_libdir/liboyranos_moni.so.0
%_libdir/liboyranos_moni.so.0.1.9
%_datadir/color/icc/CineLogCurve.icc
%_datadir/color/icc/CineonLog_M.icc
%_datadir/color/icc/CineonLog_M_Knee_10.icc
%_datadir/color/icc/CineonLog_M_Knee_20.icc
%_datadir/color/icc/CineonLog_M_Knee_30.icc
%_datadir/color/icc/CineonLog_M_Knee_60.icc
%_datadir/color/icc/GRACoL_coated_TR006_argl.icc
%_datadir/color/icc/Gray.icc
%_datadir/color/icc/LCMSLABI.ICM
%_datadir/color/icc/LCMSXYZI.ICM
%_datadir/color/icc/Lab.icc
%_datadir/color/icc/PhotoGamutRGB_avg6c.icc
%_datadir/color/icc/SC_paper_FOGRA40L_argl.icc
%_datadir/color/icc/SNAP_newsprint_TR002_argl.icc
%_datadir/color/icc/SWOP_coated_3_TR003_argl.icc
%_datadir/color/icc/SWOP_coated_5_TR005_argl.icc
%_datadir/color/icc/XYZ.icc
%_datadir/color/icc/coated_FOGRA39L_argl.icc
%_datadir/color/icc/compatibleWithAdobeRGB1998.icc
%_datadir/color/icc/eciRGB_v2.icc
%_datadir/color/icc/eciRGB_v2_ICCv4.icc
%_datadir/color/icc/sRGB.icc
%_datadir/color/icc/uncoated_FOGRA29L_argl.icc
%_datadir/color/icc/uncoatedyellowish_FOGRA30L_argl.icc
%_datadir/color/icc/webcoated_FOGRA28L_argl.icc
%_datadir/color/settings/designer.policy.xml
%_datadir/color/settings/office.policy.xml
%_datadir/color/settings/photographer.policy.xml
%_datadir/color/settings/prepress.policy.xml
%_datadir/color/target/FOGRA28L.ti3
%_datadir/color/target/FOGRA29L.ti3
%_datadir/color/target/FOGRA30L.ti3
%_datadir/color/target/FOGRA39L.ti3
%_datadir/color/target/FOGRA40L.ti3
%_datadir/color/target/TR002.ti3
%_datadir/color/target/TR003.ti3
%_datadir/color/target/TR005.ti3
%_datadir/color/target/TR006.ti3
%_datadir/locale/cs/LC_MESSAGES/oyranos.mo
%_datadir/locale/de/LC_MESSAGES/oyranos.mo
%_datadir/locale/eo/LC_MESSAGES/oyranos.mo
%_datadir/locale/eu/LC_MESSAGES/oyranos.mo
%_datadir/locale/fr/LC_MESSAGES/oyranos.mo
%_datadir/man/man1/oyranos-config-fltk.1.bz2
%_datadir/man/man1/oyranos-config.1.bz2
%_datadir/man/man1/oyranos-monitor.1.bz2
%_datadir/man/man1/oyranos-policy.1.bz2
%_datadir/man/man3/oyranos.3.bz2


%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*
%{_libdir}/*.a
%doc %{name}*.sh
%_libdir/liboyranos.so
%_libdir/liboyranos_moni.so

%changelog
* Sun Nov 21 2010 Texstar <texstar at gmail.com> 0.1.9-2pclos2010
- rebuild

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 0.1.9-1pclos2010
- 0.1.9


* Sun May 24 2009 Texstar <texstar@gmail.com> 0.1.7-3pclos2009
- fix rpm group

